/*
  Top10, a racing simulator
  Copyright (C) 2000-2007  Johann Deneux
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  
  Authors can be contacted at following electronic addresses:
  Johann Deneux: johann.deneux@gmail.com
*/

#include <QtCore/QtCore>
#include <QtGui/QtGui>

#include <SDL/SDL.h>

#include "MainWindow.hh"

#ifdef main
#undef main
#endif

int main(int argc, char** argv)
{
  try {
    SDL_Init(SDL_INIT_VIDEO);

    //Q_INIT_RESOURCE(trackedqt);    
    QApplication app(argc, argv);
    MainWindow main_win;
    main_win.show();
    int res = app.exec();
    return res;
  }
  catch(std::string e) {
    std::cerr<<"Uncaught exception: "<<e<<std::endl;
    return 1;
  }

  return 0;  
}
